cascading.tuple.hadoop

## Class BigDecimalSerialization.BigDecimalSerializer

- java.lang.Object
- - cascading.tuple.hadoop.BigDecimalSerialization.BigDecimalSerializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>

Enclosing class:
  BigDecimalSerialization

    public static class BigDecimalSerialization.BigDecimalSerializer
    extends java.lang.Object
    implements org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>

### Constructor Summary

Constructors
Constructor and Description
`BigDecimalSerialization.BigDecimalSerializer()`

### Method Summary

Methods
`void` `close()`
`void` `open(java.io.OutputStream out)`
`void` `serialize(java.math.BigDecimal bigDecimal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigDecimalSerialization.BigDecimalSerializer

    public BigDecimalSerialization.BigDecimalSerializer()

### Method Detail

#### open

    public void open(java.io.OutputStream out)
              throws java.io.IOException

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`

#### serialize

    public void serialize(java.math.BigDecimal bigDecimal)
                   throws java.io.IOException

Specified by:
  `serialize` in interface `org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`